



/* search */
.search-line{
	position: relative;
	border-radius: 99px;
    width: 275px;
	overflow: hidden;
	z-index: 3;
}
.search-line::before{
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: var(--main-white-color);
    opacity: 0.65;
}
.search-line__form{
	position: relative;
	display: flex;
	margin: 0;
	width: 100%;
	height: 32px;
}
.search-line__input,
.search-line__submit{
	background-color: transparent;
	transition: var(--main-transition);
}
.search-line__input:focus,
.search-line__input:focus ~ .search-line__submit{
	background-color: var(--main-white-color);
}
.search-line__input{
	padding: 0 0 0 15px;
	width: 100%;
	height: 100%;
	font-size: 16px;
	color: var(--main-dark-color);
}
.search-line__submit{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 45px;
	height: 100%;
	line-height: 0;
	cursor: pointer;
}
.search-line__submit-img{}
.search-line__submit-img-path{}



/* results */
.title-search-result{
	border-radius: 16px;
	padding-right: 15px;
	padding-left: 15px;
	background-color: var(--main-white-color);
	/* visibility: visible;
	opacity: 1; */
	transition: var(--main-transition);
	z-index: 2;
}
.title-search-result-list{
	padding-bottom: 10px;
}
.title-search-separator{}
.title-search-separator{}
.title-search-result-item{
	padding: 5px 0 5px 0;
}
.title-search-result-item-result{
	text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.title-search-result-item-result-link{}
.title-search-result-item-more{}
.title-search-result-item-all-link,
.title-search-result-item-more-link{
	color: var(--main-dark-color);
	opacity: 1;
	transition: var(--main-transition);
}
.title-search-result-item-all-link:hover,
.title-search-result-item-all-link:focus,
.title-search-result-item-more-link:hover,
.title-search-result-item-more-link:focus{
	color: var(--main-dark-color);
	opacity: var(--link-opacity);
}
.title-search-result-item-more-link{}
.title-search-result-item-all{}
.title-search-result-item-all-link{}





@media (max-width: 599px){
	.search-line{
		border-radius: 8px;
		width: 100%;
	}
	.search-line__input{
		color: var(--main-black-color);
	}
	.search-line__submit-img-path{
		fill: var(--main-black-color);
	}
	.title-search-result{
		display: none;
		border-radius: 8px;
	}
	.title-search-result-item{
		padding: 15px 0 15px 0;
	}
}


